- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# utm_proxy_frontend – create, update or destroy reverse_proxy frontend entry in Sophos UTM

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Create, update or destroy a reverse_proxy frontend entry in Sophos UTM.

- This module needs to have the REST Ability of the UTM to be activated.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
add_content_type_header boolean | Choices: no ← yes | Whether to add the content type header or not
address - | Default: "REF_DefaultInternalAddress" | The reference name of the network/interface_address object.
allowed_networks - | Default: ["REF_NetworkAny"] | A list of reference names for the allowed networks.
certificate - | Default: "" | The reference name of the ca/host_key_cert object.
comment - | Default: "" | An optional comment to add to the object
disable_compression boolean | Choices: no ← yes | Whether to enable the compression
domain - |  | A list of domain names for the frontend object
exceptions - | Default: [] | A list of exception ref names (reverse_proxy/exception)
headers dictionary |  | A dictionary of additional headers to be sent to POST and PUT requests. Is needed for some modules
htmlrewrite boolean | Choices: no ← yes | Whether to enable html rewrite or not
htmlrewrite_cookies boolean | Choices: no ← yes | Whether to enable html rewrite cookie or not
implicitredirect boolean | Choices: no ← yes | Whether to enable implicit redirection or not
lbmethod - | Choices: bybusyness ← bytraffic byrequests | Which loadbalancer method should be used
locations - | Default: [] | A list of location ref names (reverse_proxy/location)
name - / required |  | The name of the object. Will be used to identify the entry
port - | Default: 80 | The frontend http port
preservehost boolean | Choices: no ← yes | Whether to preserve host header
profile - | Default: "" | The reference string of the reverse_proxy/profile
state string | Choices: absent present ← | The desired state of the object. `present` will create or update an object `absent` will delete an object if it was present
status boolean | Choices: no yes ← | Whether to activate the frontend entry or not
type - | Choices: http ← https | Which protocol should be used
utm_host string / required |  | The REST Endpoint of the Sophos UTM.
utm_port integer | Default: 4444 | The port of the REST interface.
utm_protocol string | Choices: http https ← | The protocol of the REST Endpoint.
utm_token string / required |  | The token used to identify at the REST-API. See https://www.sophos.com/en-us/medialibrary/PDFs/documentation/UTMonAWS/Sophos-UTM-RESTful-API.pdf?la=en, Chapter 2.4.2.
validate_certs boolean | Choices: no yes ← | Whether the REST interface's ssl certificate should be verified or not.
xheaders boolean | Choices: no ← yes | Whether to pass the host header or not

## Examples

    - name: Create utm proxy_frontend
      utm_proxy_frontend:
        utm_host: sophos.host.name
        utm_token: abcdefghijklmno1234
        name: TestFrontendEntry
        host: REF_OBJECT_STRING
        state: present

    - name: Remove utm proxy_frontend
      utm_proxy_frontend:
        utm_host: sophos.host.name
        utm_token: abcdefghijklmno1234
        name: TestFrontendEntry
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
result complex | success | The utm object that was created
| _locked boolean |  | Whether or not the object is currently locked
| _ref string |  | The reference name of the object
| _type string |  | The type of the object
| add_content_type_header boolean |  | Whether to add the content type header
| address string |  | The reference name of the address
| allowed_networks list |  | List of reference names of networks associated
| certificate string |  | Reference name of certificate (ca/host_key_cert)
| comment string |  | The comment string
| disable_compression boolean |  | State of compression support
| domain list |  | List of hostnames
| exceptions list |  | List of associated proxy exceptions
| htmlrewrite boolean |  | State of html rewrite
| htmlrewrite_cookies boolean |  | Whether the html rewrite cookie will be set
| implicitredirect boolean |  | Whether to use implicit redirection
| lbmethod string |  | The method of loadbalancer to use
| locations list |  | The reference names of reverse_proxy/locations associated with the object
| name string |  | The name of the object
| port integer |  | The port of the frontend connection
| preservehost boolean |  | Preserve host header
| profile string |  | The associated reverse_proxy/profile
| status boolean |  | Whether the frontend object is active or not
| type string |  | The connection type
| xheaders boolean |  | The xheaders state

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Johannes Brunswicker (@MatrixCrawler)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.